Bug 204827 - security/sssd: add support of krb5 1.14 for external/pac
Summary: security/sssd: add support of krb5 1.14 for external/pac
Status: Closed DUPLICATE of bug 236113
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-26 09:50 UTC by Joris Dedieu
Modified: 2019-08-28 10:07 UTC (History)
4 users (show)

See Also:
lukas.slebodnik: maintainer-feedback-
lukas.slebodnik: maintainer-feedback-
lukas.slebodnik: maintainer-feedback-
riggs: merge-quarterly+


Attachments
add krb5 1.14 in src/external/pac_responder.m4 (1.05 KB, patch)
2015-11-26 09:50 UTC, Joris Dedieu
koobs: maintainer-approval+
Details | Diff
add krb5 1.15 in src/external/pac_responder.m4 (1.05 KB, patch)
2017-03-15 11:57 UTC, Joris Dedieu
riggs: maintainer-approval+
Details | Diff
change krb5 version parsing method (2.36 KB, patch)
2018-03-02 12:51 UTC, Joris Dedieu
no flags Details | Diff
add krb5 1.16 in src/external/pac_responder.m4 (865 bytes, patch)
2018-03-30 08:57 UTC, Joris Dedieu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joris Dedieu 2015-11-26 09:50:28 UTC
Created attachment 163548 [details]
add krb5 1.14 in src/external/pac_responder.m4

Since krd5 1.14 is the default sssd does not compile anymore with SMB=on.


pkg-static: Unable to access file /usr/ports/security/sssd/work/stage/usr/local/lib/krb5/plugins/authdata/sssd_pac_plugin.so: No such file or directory
pkg-static: Unable to access file /usr/ports/security/sssd/work/stage/usr/local/libexec/sssd/sssd_pac: No such file or directory
*** Error code 74


The attached patch fix this issue by enabling krb5 1.14* in pac_responder

Also reported via the forum : https://forums.freebsd.org/threads/sssd-failing-to-build-all-components.54097/
Comment 1 lukas.slebodnik 2015-11-27 13:25:21 UTC
Patch is already in upstream since Mon Oct 26 07:00:50 2015 +0100
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 13:41:43 UTC
@Joris, can you please provide your patch against the security/sssd port instead of the upstream source? Thanks!
Comment 3 lukas.slebodnik 2015-11-27 18:55:55 UTC
I did not any problem to apply attached patch to sssd port.

So what kind of problems do you have with the patch?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-28 02:33:49 UTC
(In reply to lukas.slebodnik from comment #3)

The patch should create a patch-* file in files/, generated by `make makepatch`
Comment 5 Joris Dedieu 2015-11-28 09:22:05 UTC
(In reply to Kubilay Kocak from comment #4)

I don't really understand what I have to do. Do you mean something like diff -Nru security/sssd.orig security/sssd ?
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-28 09:38:31 UTC
@Joris, my apologies, I totally missed the first line of the existing patch, indicating it's for an existing files/patch-* file.

This is good to go
Comment 7 commit-hook freebsd_committer 2015-12-12 07:08:35 UTC
A commit references this bug:

Author: riggs
Date: Sat Dec 12 07:08:24 UTC 2015
New revision: 403589
URL: https://svnweb.freebsd.org/changeset/ports/403589

Log:
  Add support of krb5 1.14 for external/pac

  PR:		204827
  Submitted by:	joris.dedieu@gmail.com
  Approved by:	lukas.slebodnik@intrak.sk (maintainer)
  MFH:		2015Q4

Changes:
  head/security/sssd/Makefile
  head/security/sssd/files/patch-src__external__pac_responder.m4
Comment 8 Joris Dedieu 2017-03-15 11:49:56 UTC
Now that we have krb5 1.15 the issue came back.
Comment 9 Joris Dedieu 2017-03-15 11:57:12 UTC
Created attachment 180843 [details]
add krb5 1.15 in src/external/pac_responder.m4
Comment 10 lukas.slebodnik 2017-03-16 19:26:16 UTC
Comment on attachment 180843 [details]
add krb5 1.15 in src/external/pac_responder.m4

Thank you
Comment 11 lukas.slebodnik 2017-03-16 19:28:08 UTC
Comment on attachment 180843 [details]
add krb5 1.15 in src/external/pac_responder.m4

maintainer-approval +
for add krb5 1.15 in src/external/pac_responder.m4
Comment 12 lukas.slebodnik 2017-03-16 19:28:38 UTC
hmm,
Comment 13 commit-hook freebsd_committer 2017-03-18 12:07:44 UTC
A commit references this bug:

Author: riggs
Date: Sat Mar 18 12:06:47 UTC 2017
New revision: 436401
URL: https://svnweb.freebsd.org/changeset/ports/436401

Log:
  Add support of krb5 1.15; bump PORTREVISION

  PR:		204827
  Submitted by:	joris.dedieu@gmail.com
  Approved by:	lukas.slebodnik@intrak.sk (maintainer)
  MFH:		2017Q1

Changes:
  head/security/sssd/Makefile
  head/security/sssd/files/patch-src__external__pac_responder.m4
  head/security/sssd/files/patch-src_external_pac__responder.m4
Comment 14 commit-hook freebsd_committer 2017-03-19 09:14:46 UTC
A commit references this bug:

Author: riggs
Date: Sun Mar 19 09:14:10 UTC 2017
New revision: 436479
URL: https://svnweb.freebsd.org/changeset/ports/436479

Log:
  MFH: r436401

  Add support of krb5 1.15; bump PORTREVISION

  PR:		204827
  Submitted by:	joris.dedieu@gmail.com
  Approved by:	lukas.slebodnik@intrak.sk (maintainer)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/security/sssd/Makefile
  branches/2017Q1/security/sssd/files/patch-src__external__pac_responder.m4
  branches/2017Q1/security/sssd/files/patch-src_external_pac__responder.m4
Comment 15 Joris Dedieu 2018-03-02 12:51:40 UTC
Created attachment 191134 [details]
change krb5 version parsing method
Comment 16 Joris Dedieu 2018-03-02 12:56:46 UTC
Now we are in krb5 1.16 ... I tried to provide a generic parsing method sothat it will be OK for a while, but IMHO the think to do is to suppress this check as we have krb5>=1.10:security/krb5 in BUILD_DEPENDS
Comment 17 lukas.slebodnik 2018-03-02 22:59:20 UTC
I am sorry but last patch is not 100% correct.
sssd use internal(non-public) interface from MIT krb5 for sssd_pac.
This is the reason why each version need to be carefully reviewed in upstream (I do not have such knowledge) and then is new version added to "whitelist"
instead of using wildcard or ">= $version"

Please use the simillar approach as in previous patches.
Comment 18 lukas.slebodnik 2018-03-02 23:00:57 UTC
Comment on attachment 191134 [details]
change krb5 version parsing method

@see previous comment
Comment 19 Joris Dedieu 2018-03-30 08:57:04 UTC
Created attachment 191971 [details]
add krb5 1.16 in  src/external/pac_responder.m4
Comment 20 Joris Dedieu 2018-03-30 08:57:31 UTC
Here is the patch for 1.16
Comment 21 Walter Schwarzenfeld freebsd_triage 2018-04-02 16:02:50 UTC
see also Bug # 227201.
Comment 22 Thomas Zander freebsd_committer 2018-04-21 09:17:16 UTC
On a general note:
For a proper record of what-happened-when-and-why it would be very useful not to bundle different things in one PR. Originally this was about adding support of krb in 1.14. Subsequently, things that address things after that should go into a new PR. Please try and help to keep bug tracking organised by doing so.

Now, to address the problem and get this one committed: Can we get one single patch against an up-to-date ports tree that obsoletes all the open attachments and receives maintainer approval?

Thank you all in advance
Comment 23 Yuri Victorovich freebsd_committer 2018-06-17 04:03:03 UTC
(In reply to Thomas Zander from comment #22)

IMO, you should combine the first two approved patches and commit them as approved by 'portmgr' and maintainer, because the core issue is about broken build.
Comment 24 Yuri Victorovich freebsd_committer 2018-06-19 02:47:02 UTC
Committed, thanks!
Comment 25 commit-hook freebsd_committer 2018-06-19 02:47:39 UTC
A commit references this bug:

Author: yuri
Date: Tue Jun 19 02:46:54 UTC 2018
New revision: 472753
URL: https://svnweb.freebsd.org/changeset/ports/472753

Log:
  security/sssd: Add 1.16 to supported krb5 versions

  PR:		204827
  Approved by:	lukas.slebodnik@intrak.sk (maintainer)

Changes:
  head/security/sssd/Makefile
  head/security/sssd/files/patch-src_external_pac__responder.m4
Comment 26 Joris Dedieu 2019-04-01 13:00:28 UTC
As usual changing default version of kerberos from krb5.1.17 breaks sssd

See also (#236113)

Joris
Comment 27 Walter Schwarzenfeld freebsd_triage 2019-08-28 10:07:50 UTC
Fixed with ports r502928.

*** This bug has been marked as a duplicate of bug 236113 ***